Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1600562 - Installing prometheus should update iptable rules for node-exporter
Summary: Installing prometheus should update iptable rules for node-exporter
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.10.z
Assignee: Simon Pasquier
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1563888 1603144
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-12 13:48 UTC by Simon Pasquier
Modified: 2018-08-31 06:18 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: the 9100 port is blocked on all nodes by default. Consequence: Prometheus can't scrape the node_exporter service running on the other nodes and which listens on port 9100. Fix: the firewall configuration is modified to allow incoming TCP traffic for the 9000-1000 port range. Result: Prometheus can scrape the node_exporter services.
Clone Of: 1563888
Environment:
Last Closed: 2018-08-31 06:18:10 UTC
Target Upstream Version:


Attachments (Terms of Use)
node exporter targets could be accessed (deleted)
2018-08-21 07:04 UTC, Junqi Zhao
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift openshift-ansible issues 7999 None None None 2018-07-12 13:48:34 UTC
Github openshift openshift-ansible pull 9172 None None None 2018-07-12 13:48:34 UTC
Red Hat Product Errata RHBA-2018:2376 None None None 2018-08-31 06:18:51 UTC

Comment 5 Junqi Zhao 2018-08-21 07:04:13 UTC
# netstat -anlp | grep 9100
tcp6       0      0 :::9100                 :::*                    LISTEN      5869/node_exporter  
tcp6       0      0 172.16.120.79:9100      172.16.120.57:36830     ESTABLISHED 5869/node_exporter 


and node-exporter target could be accessed without error, see the attached picture

openshift-ansible version: 3.10.29-1

Comment 6 Junqi Zhao 2018-08-21 07:04:44 UTC
Created attachment 1477423 [details]
node exporter targets could be accessed

Comment 8 errata-xmlrpc 2018-08-31 06:18:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2376


Note You need to log in before you can comment on or make changes to this bug.